-- **************************************************
-- Copyright 2008 Mike Green
-- mike@mikegreen.name
-- **************************************************

function LayerScript(moho)
--	if (moho.frame == 0) then
--		return
--	end
	local skel = moho:Skeleton()
	local skelpar=moho:ParentSkeleton()
	if (skel == nil) then
		print("No skeleton found in layer")
		return
	end
	if (skelpar == nil) then
		print("No skeleton found in parent layer")
		return
	end
	for i=0, skel:CountBones()-1 do
		local mybone=skel:Bone(i)
--		print("Child", mybone:Name())
		for j=0, skelpar:CountBones()-1 do
			local parbone=skelpar:Bone(j)
--			print("Parent", parbone:Name())
			if (mybone:Name() == parbone:Name()) then
--				print("Found a match for",mybone:Name())
				mybone.fStrength = parbone.fStrength
				mybone.fOffset = parbone.fOffset
				mybone.fLength = parbone.fLength
				mybone.fOffset = parbone.fOffset

				mybone.fPos = parbone.fPos
				mybone.fAngle = parbone.fAngle
				mybone.fScale = parbone.fScale
				break
			end
		end
	end
	skel:UpdateBoneMatrix()
end
